org.apache.maven.scm.provider.cvslib.command.update

## Class AbstractCvsUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.cvslib.command.update.AbstractCvsUpdateCommand

- All Implemented Interfaces:
    Command, CvsCommand
  Direct Known Subclasses:
    CvsExeUpdateCommand, CvsJavaUpdateCommand

      public abstract class AbstractCvsUpdateCommand
      extends AbstractUpdateCommand
      implements CvsCommand

  Version:
    $Id: AbstractCvsUpdateCommand.java 757034 2009-03-21 22:09:17Z olamy $
  Author:
    Emmanuel Venisse , Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsUpdateCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract UpdateScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
    `UpdateScmResult` | `executeUpdateCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version)`

    - ### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

      `executeCommand, getChangeLogCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### AbstractCvsUpdateCommand

          public AbstractCvsUpdateCommand()

  - ### Method Detail

    - #### executeUpdateCommand

          public UpdateScmResult executeUpdateCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             ScmVersion version)
                                               throws ScmException

      Specified by:
        `executeUpdateCommand` in class `AbstractUpdateCommand`
      Throws:
        `ScmException`

    - #### executeCvsCommand

          protected abstract UpdateScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                        throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.